<?
### Автор модулья Somon Ashuraliev ###
### Платное ###
### http://justwm.ru/us1 ###
$title = 'Портфолио';
require_once ('../system/function.php');
require_once ('../system/header.php');
switch($_GET['act']) {
default:
echo '<div class="title"><a href="'.$HOME.'/porte/">Портфолио</a> / Список портфолио</div>';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `porte`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$porte = mysql_query("SELECT * FROM `porte` ORDER BY `id` DESC LIMIT $start, $max");
$port = mysql_fetch_array(mysql_query('select * from `porte` where `who` = "'.$user['id'].'"'));

if($port == 0){
echo '<div class="podmenu"><img src="/porte/img/sozd.png"/> <a href="/porte/new">Создать портфолио</a></div>';
}else{
echo '<div class="podmenu"><img src="/porte/img/port.png"/> <a href="/porte/my">Мое портфолио</a></div>';

while($porte2 = mysql_fetch_assoc($porte)){
$us = mysql_fetch_array(mysql_query('select * from `users` where `id` = '.$porte2['who'].''));
echo '<div class="podmenu">'.nick($porte2['who']).'<a href="/porte/inf'.$porte2['who'].'">[инфо]</a><br>
  Деятельность: <b>'.$porte2['dey'].'</b><br>Сейчас ';
    if($porte2['status'] == 0){
  echo ' <font color="red"><b>недоступен для заказов</b></font>';
  }else{
  echo ' <font color="green"><b>свободен для заказов</b></font>';
  }
  echo '</div>';
  }
  
if($k_page>1) echo str(''.$HOME.'/porte'.$id.'?',$k_page,$page); // Вывод страниц
$porte_r = mysql_query("SELECT * FROM `porte_rab` ORDER BY `id` DESC LIMIT 3");

  echo ' <div class="title"><font color="white">Новые работы:</font></div>';
  while($porte_r2 = mysql_fetch_assoc($porte_r)){
  
  echo '<div class="podmenu">'.nick($porte_r2['who']).'-> <a href="/porte/inf'.$porte_r2['who'].'"><img src="/porte/img/port.png"/></a><br>
  Работа: <a href="/porte/rabot'.$porte_r2['id'].'"><b>'.$porte_r2['namer'].'</b></a>';
  echo '</div>';
  }
 
}
break;
case 'new':
echo '<div class="title"><a href="'.$HOME.'/porte/">Портфолио</a> / Добавить портфолио</div>';

if(isset($_REQUEST['submit'])) {

$dey = strong($_POST['dey']);
$prog = strong($_POST['prog']);
$har = strong($_POST['har']);
$status = strong($_POST['status']);


mysql_query("INSERT INTO `porte` SET `prog` = '".$prog."', `har` = '".$har."', `time` = '".time()."',  `dey` = '".$dey."',  `status` = '".$status."', `who` = '".$user['id']."' ");
echo '<div class="podmenu"><b><center>Данные сохранены!</center></b></div>';

require_once ('../system/footer.php'); exit;
}
echo '
  <div class="podmenu"><form action="" method="post">
  <b><font color="red">Относитесь к заполнению полей серьёзно, за ссылки или непонятные и не несущих верной информации данных - Вы будете наказаны, а портфолио удалено!</font></b><br><br>
  Спецификации(кодер,программист,wap-мастер,web-мастер,дизайнер,фотошопер и т.д):<br><input name="dey"/><br>
  Используемые программы в работе(PHP expert editor, photoshop CS*, filezilla, denwer):<br><input name="prog"/><br>
  Ваша характеристика(Стаж,средняя скорость выполнения заказа, личные качества, средняя цена работы):<br><textarea name="har" style="width:98%;" rows="3"></textarea><br>
  <input type="radio" name="status" value="1" checked="checked" /> свободен для заказов<br>
  <input type="radio" name="status" value="0"/> недоступен для заказов<br>
  <input type="submit" value="Добавить" name="submit"/>
  </form></div>
  ';
break;
case 'my':
echo '<div class="title"><a href="'.$HOME.'/porte/">Портфолио</a> / Мой портфолио</div>';
$port = mysql_fetch_array(mysql_query('select * from `porte` where `who` = "'.$user['id'].'"'));
if($port == 0){
  header('Location: /porte/new'); exit;
}
echo ' <div class="podmenu"><font color="white">Основное:</font></div><div class="podmenu">';
  echo ''.nick($port['who']).'<br> 
  Деятельность: <b>'.$port['dey'].'</b><br>
  Рейтинг:<b>'.$user['rating'].'</b><br>
  Статус:<b>';
  if($port['status'] == 0){
  echo ' <font color="red"><b>Недоступен для заказов</b></font>';
  }else{
  echo ' <font color="green"><b>Свободен для заказов</b></font>';
  }
  echo '</b></div>';
  echo ' <div class="podmenu"><font color="white">Дополнительное:</font></div><div class="podmenu">
  <b>Используемые программы:</b> '.$port['prog'].'<br>
  <b>Информация:</b> '.$port['har'].'</div>';
  
  echo '<div class="menudiv"><img src="/porte/img/edit.png"/> <a href="/porte/red">Изменить данные</a></div>';
  echo '<div class="menudiv"><img src="/porte/img/folder.png"/> <a href="/porte/pap">Создать папку</a></div>';
  echo '<div class="menudiv"><img src="/porte/img/port.png"/> <a href="/porte/newrab">Добавить работу</a></div>';
  
  if(mysql_result(mysql_query('select count(`id`) from `porte_r` where `who` = "'.$user['id'].'" '),0) != 0)
  {
  $porte_p = mysql_query("SELECT * FROM `porte_r` WHERE `who` = '".$user['id']."'");
  echo ' <div class="podmenu">Список папок:</div>';
  while($porte_p2 = mysql_fetch_assoc($porte_p)){
  echo '<div class="menudiv"><img src="/porte/img/folder_y.png"/> <a href="/porte/map'.$porte_p2['id'].'">'.$porte_p2['name'].' </a></div>';
  }
  }else{
  echo '<div class="podmenu"><b>Папок еще нету..</b></div>';
  }
break;

case 'red':
echo '<div class="title"><a href="'.$HOME.'/porte/">Портфолио</a> / Редактирование портфолио</div>';
$por = mysql_fetch_array(mysql_query('select * from `porte` where `who` = "'.$user['id'].'"'));
if(isset($_REQUEST['submit'])) {

$dey = strong($_POST['dey']);
$prog = strong($_POST['prog']);
$har = strong($_POST['har']);
$status = strong($_POST['status']);


mysql_query("UPDATE `porte` SET `prog`='".$prog."',`dey`='".$dey."',`har`='".$har."',`status`='".$status."' WHERE `who`='".$user['id']."' limit 1");
echo '<div class="podmenu"><b><center>Данные сохранены!</center></b></div>';

require_once ('../system/footer.php'); exit;
}
echo '
  <div class="podmenu"><form action="" method="post">
  Спецификации(кодер,программист,wap-мастер,web-мастер,дизайнер,фотошопер и т.д):<br><input name="dey" value="'.$por['dey'].'"/><br>
  Используемые программы в работе(PHP expert editor, photoshop CS*, filezilla, denwer):<br><input name="prog" value="'.$por['prog'].'"/><br>
  Ваша характеристика(Стаж,средняя скорость выполнения заказа, личные качества, средняя цена работы):<br><textarea name="har" style="width:98%;" rows="3">'.$por['har'].'</textarea><br>
  <input type="radio" name="status" value="1" checked="checked" /> свободен для заказов<br>
  <input type="radio" name="status" value="0"/> недоступен для заказов<br>
<input type="submit" name="submit" value="Изменить" />
  </form></div>
  ';
break;
  
case 'pap':
echo '<div class="title"><a href="'.$HOME.'/porte/">Портфолио</a> Создание папки</div>';
$portf = mysql_fetch_array(mysql_query('select * from `porte` where `who` = "'.$user['id'].'"'));
if($portf == 0){
header('Location: /porte/new'); exit;
}
if(isset($_REQUEST['submit'])) {
$name = strong($_POST['name']);
mysql_query("INSERT INTO `porte_r` SET `name` = '".$name."', `who` = '".$user['id']."' ");
echo '<div class="podmenu"><b><center>Папка успешно создано!</center></b></div>';
require_once ('../system/footer.php'); exit;
}
echo '<div class="podmenu"><form action="" method="post">
Название папки:<br><input name="name"/><br>
<input type="submit" name="submit" value="Создать" /></form></div>';
break;
case 'map':
$id = abs(intval($_GET['id']));
$porte_r = mysql_fetch_array(mysql_query('select * from `porte_r` where `id` = '.$id.' limit 1'));
if(empty($id) or !is_numeric($id) or $porte_r == 0){
header('Location: /porte'); exit;}
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `porte_rab`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$porte_rab = mysql_query("SELECT * FROM `porte_rab` where `pap` = '".$id."' ORDER BY `id` DESC LIMIT  $start, $max");
if(mysql_result(mysql_query('select count(`id`) from `porte_rab` where `pap` = "'.$id.'" '),0) != 0)

while($porte_rab2 = mysql_fetch_assoc($porte_rab))
{
echo '<div class="podmenu"><a href="/porte/rabot'.$porte_rab2['id'].'">'.$porte_rab2['namer'].'</a>';
echo '</div>';
}
else{
echo '<div class="podmenu"><b>Работ еще нету..</b></div>';
}
if($k_page>1) echo str(''.$HOME.'/porte/map'.$id.'?',$k_page,$page); // Вывод страниц

break;
case 'newrab':
$port_ro = mysql_fetch_array(mysql_query('select * from `porte_rab` where `who` = "'.$user['id'].'"'));
$portfee = mysql_fetch_array(mysql_query('select * from `porte` where `who` = "'.$user['id'].'"'));
$port_raz = mysql_fetch_array(mysql_query('select * from `porte_r` where `who` = "'.$user['id'].'"'));
if($port_raz == 0){
header('Location: /porte/pap'); exit;
}
if(isset($_REQUEST['submit'])) {
$namer = strong($_POST['namer']);
$opis = strong($_POST['opis']);
$rub = strong($_POST['rub']);
$pap = strong($_POST['pap']);
$maxsize = 2; // Максимальный размер файла,в мегабайтах 
$size = $_FILES['filename']['size']; // Вес файла

/* Если не выбрали файл */
if(!@file_exists($_FILES['filename']['tmp_name'])) {
echo '<div class="podmenu"><center><b>Вы не выбрали файл!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Максимальный размер 1мб */
if ($size > (1048576 * $maxsize)) {
echo '<div class="podmenu"><center><b>Максимальный размер файла '.$maxsize.'мб!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Тип файлов которые можно загружать */
$filetype = array ( 'jpg', 'gif', 'png', 'jpeg', 'bmp' ); 
$upfiletype = substr($_FILES['filename']['name'],  strrpos( $_FILES['filename']['name'], ".")+1); 
/* Если тип файла не подходит */
if(!in_array($upfiletype,$filetype)) {
echo '<div class="podmenu"><center><b>К загрузке разрешены файлы форматом JPG,GIF,PNG,JPEG,BMP!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Если все окей,заливаем файл в папу и делаем запрос */
$files = 'JustWM.Ru_'.$user['id'].'_'.rand(1234,5678).'_'.rand(1234,5678).'_'.$_FILES['filename']['name']; 

/* Заливаем */
move_uploaded_file($_FILES['filename']['tmp_name'], "../files/porte/".$files."");

mysql_query("INSERT INTO `porte_rab` SET `namer` = '".$namer."', `opis` = '".$opis."', `rub` = '".$rub."', `pap` = '".$pap."', `file` = '".$files."', `who` = '".$user['id']."' ");
echo '<div class="podmenu"><b><center>Работа успешно добавлена в папку</center></b></div>';
require_once ('../system/footer.php'); exit;
}
echo '<div class="podmenu"><form action="" method="post" enctype="multipart/form-data"> 
  <b><font color="red">Для прикрепления скриншотов добавьте саму работу.<br>
  Ссылки в названии/описании ЗАПРЕЩЕНЫ!<br>
  Вы можете указать в описании ссылку на тему форума или ссылку на фаил из нашего ЗЦ.</font></b>
  <br>Название работы:<br><input name="namer"/><br>Выберите папку:<br><select name="pap">';
  
  $po_rte_ra = mysql_query('select * from `porte_r` where `who` = "'.$user['id'].'"');
  while($rob2 = mysql_fetch_array($po_rte_ra)){
  echo '<option value="'.$rob2['id'].'">'.$rob2['name'].'</option>';
  }
echo '</select><br>
  <b>Скриншот работы:</b><br><input type="file" name="filename"/></br>
  Описание:<br><textarea name="opis" style="width:98%;" rows="3"></textarea><br>
  Цена для подобной работы: (0 - бесплатно):<br><input name="rub"/><br>
  <input type="submit" value="Создать" name="submit"/></form></div>';
break;
case 'rabot':
$id = abs(intval($_GET['id']));
$porte_rab = mysql_fetch_array(mysql_query('select * from `porte_rab` where `id` = '.$id.' limit 1'));
if(empty($id) or !is_numeric($id) or $porte_rab == 0){
header('Location: /porte'); exit;
}
echo '<div class="podmenu">Автор: '.nick($porte_rab['who']).'</div>';
  echo '<div class="podmenu">Название работы: <b>'.$porte_rab['namer'].'</b></div>';
  echo '<div class="podmenu">Описание: <b>'.$porte_rab['opis'].'</b></div>';
  echo '<div class="podmenu">Примерная цена: <font color="green"><b>'.$porte_rab['rub'].' WMR</b></font></div>';
  if(!$porte_rab['file']){
  }else{
  echo '<div class="podmenu"><b>Скрин работы:</b></br><a href="/files/porte/'.$porte_rab['file'].'">
  <img src="/files/porte/'.$porte_rab['file'].'" alt="*" width="80" height="80"/></a></div>';
  }
break;
case 'inf':
$id = abs(intval($_GET['id']));
if(empty($id) or !is_numeric($id))
{
header('Location: /index.php '); exit;
}
$us = mysql_fetch_array(mysql_query('select * from `users` where `id` = '.$id.''));
$porte = mysql_fetch_array(mysql_query('select * from `porte` where `who` = '.$us['id'].''));
if($porte == 0){
echo '<div class="podmenu">Данного портфолио не существует или пользователь не найден</div>';
}else{
echo ' <div class="podmenu"><font color="white">Основное:</font></div><div class="podmenu">';
  echo 'Портфолио: '.nick($porte['who']).'<br> 
  Деятельность: <b>'.$porte['dey'].'</b><br>
  Рейтинг: <b>'.$us['rating'].'</b><br>
  Статус:<b>';
  if($porte['status'] == 0){
  echo ' <font color="red"><b>Недоступен для заказов</b></font>';
  }else{
  echo ' <font color="green"><b>Свободен для заказов</b></font>';
  }
  echo '</b></div>';
  echo ' <div class="podmenu"><font color="white">Дополнительное:</font></div><div class="podmenu">
  <b>Используемые программы:</b> '.$porte['prog'].'<br>
  <b>Информация:</b> '.$porte['har'].'</div>';
  
  if(mysql_result(mysql_query('select count(`id`) from `porte_r` where `who` = "'.$us['id'].'" '),0) != 0)
  {
  $porte_p = mysql_query("SELECT * FROM `porte_r` WHERE `who` = '".$us['id']."'");
  echo ' <div class="podmenu"><font color="white">Папки с работами:</font></div>';
  while($porte_p2 = mysql_fetch_assoc($porte_p)){
  echo '<div class="podmenu"><img src="/porte/img/folder_y.png"/> <a href="/porte/map'.$porte_p2['id'].'">'.$porte_p2['name'].' </a></div>';
  }
  }else{
  echo '<div class="podmenu"><b>Папок еще нету..</b></div>';
  }
  }
break;
}
require_once ('../system/footer.php');
?>